PipeWire 1.4.5 |

Loading...
Searching...
No Matches
Data Fields
pw_impl_node_rt_events Struct Reference
Implementation API » Node Impl

`#include <pipewire/impl-node.h>`

## Data Fields
uint32_t | version
void(* | drained )(void *data)
| the node is drained
void(* | xrun )(void *data)
| the node had an xrun
void(* | complete )(void *data)
| the driver node completed processing
void(* | incomplete )(void *data)
| the driver node did not complete processing
void(* | timeout )(void *data)
| the node had a timeout

## Field Documentation

## ◆ version

uint32_t pw_impl_node_rt_events::version

## ◆ drained

void(* pw_impl_node_rt_events::drained) (void *data)

the node is drained

## ◆ xrun

void(* pw_impl_node_rt_events::xrun) (void *data)

the node had an xrun

## ◆ complete

void(* pw_impl_node_rt_events::complete) (void *data)

the driver node completed processing

## ◆ incomplete

void(* pw_impl_node_rt_events::incomplete) (void *data)

the driver node did not complete processing

## ◆ timeout

void(* pw_impl_node_rt_events::timeout) (void *data)

the node had a timeout

The documentation for this struct was generated from the following file:

- pipewire/impl-node.h